This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 605887 - KPackageKit doesn't notify about updates
KPackageKit doesn't notify about updates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-19 02:06 EDT by Michal Piotrowski
Modified: 2011-06-27 14:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
my update settings (127.23 KB, image/png)
2010-11-07 04:07 EST, Antonio Bulgheroni
no flags Details

  None (edit)
Description Michal Piotrowski 2010-06-19 02:06:30 EDT
Description of problem:
KPackageKit doesn't notify about new updates on some accounts even though the settings are set to check for updates once an hour and notify about them.

Version-Release number of selected component (if applicable):
kpackagekit-0.6.0-2.fc13

How reproducible:
Sometimes. KPackageKit doesn't notify about updates on some accounts  and on an other accounts on the same machine it does notify. Similar behaviour I have observed on 3 different computers.

Actual results:
KPackageKit in some cases ignores settings.

Expected results:
KPackageKit respects settings.

Additional info:
I can't find what causes this misbehaviour. I checked .kde/share/config/KPackageKit and it looks OK. I don't know what to check next.
Comment 1 Antonio Bulgheroni 2010-11-07 04:07:28 EST
Created attachment 458436 [details]
my update settings
Comment 2 Antonio Bulgheroni 2010-11-07 04:08:04 EST
I have a similar behavior even if not exactly the same. I can see the tray icon of kpackagekit appearing on the bar and immedeately disappering, as there is nothing to do. And this is already strange because according to my settings, kpackagekit should check for updates daily, while I can see the tray icon much more frequently.

Then if I manually enter kpackagekit from the System Setting panel and I check for new update there are packages to be updated. 

Attached you can find a picture of my settings. 

Thanks
Comment 3 Ivan 2010-11-14 10:00:25 EST
I experiencing same behavior as Antonio.
Kpackagekit set to check for updates daily, but appers in tray about every 10 minutes.

Also, if i first install something through kpackagekit, than update check triggered on yum exit completes successfully, and update icon appears.
Comment 4 Bug Zapper 2011-06-02 06:17:47 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 14:34:08 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.